import numpy as np
from sklearn.svm import SVC

A = np.genfromtxt( "datos.csv", delimiter=',', dtype=float )

X = A[:,0:2]
y = A[:,2]
print( X.shape )
print( y.shape )

# No estoy separando los datos de entranamiento y
# de prueba porque estamos analizando como funciona
# el modelo de la MVS

mvs = SVC( kernel='linear' )
mvs.fit( X, y )

print( mvs.class_weight_ )
print( mvs.classes_ )
print( mvs.coef_ )
print( mvs.dual_coef_ )
print( mvs.support_ )
print( mvs.support_vectors_ ) 
print( mvs.intercept_ )

